package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.util.List;

@ApiModel("人员体检历史项目")
public class HealthHistoryReportInfoVO {
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;
   @ApiModelProperty("体检项目结果")
   private List<HealthCustMedicalReportDetailVO> reportDetailVOS;

   public Long getMedicalId() {
      return this.medicalId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public List<HealthCustMedicalReportDetailVO> getReportDetailVOS() {
      return this.reportDetailVOS;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public void setReportDetailVOS(final List<HealthCustMedicalReportDetailVO> reportDetailVOS) {
      this.reportDetailVOS = reportDetailVOS;
   }

   public String toString() {
      Long var10000 = this.getMedicalId();
      return "HealthHistoryReportInfoVO(medicalId=" + var10000 + ", medicalDate=" + String.valueOf(this.getMedicalDate()) + ", reportDetailVOS=" + String.valueOf(this.getReportDetailVOS()) + ")";
   }
}
